cURL
curl --request POST \ --url https://api.crypto-cash.world/merchant/api/v1/balance/payments/retrieve/ \ --header 'Content-Type: application/json' \ --data ' { "data": "<string>", "signature": "<string>" } '
{ "code": 200, "data": { "item": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "pair": "USDT/USDT", "usdtTotal": "<string>", "network": "<string>", "hash": "<string>", "amount": "<string>", "commission": "<string>", "address": "<string>", "exchangeRate": "<string>", "networkFee": "<string>", "externalId": "<string>", "transactionType": "Buy", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "status": "Queued", "balanceEntries": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "updatedAt": "2023-11-07T05:31:56Z", "currency": "<string>", "requestedCurrency": "<string>", "exchangeRate": "<string>", "requestedAmount": "<string>", "feeAmount": "<string>", "amount": "<string>", "hash": "<string>", "direction": "IN" } ] } } }
Возвращает детали конкретной транзакции по externalId или internalId
Параметры данных:
JSON-объект с параметрами запроса, закодированный в base64
Подпись SHA256(SECRET_KEY + data), закодированная в base64
Успешный ответ
200
Показать дочерние атрибуты